Subject: bug#74503: Test issues in "make check"

From: Gordon Steemson <[email-masked]>
Date: Sat, 23 Nov 2024 21:34:47 -0800

Setup:  Coreutils package, v. 9.5; Power Mac G5 running OS 10.5.8 (Darwin 9.8.0).

When running `make check`, I noticed the following two problems.

- tests/ls/dired.sh can’t cope with the underlying file system stealthily applying normalization to the Unicode encoding, so I was presented with a failed test and an error message complaining that “2á != 2á”.

- tests/misc/tee.sh seems to be missing a pipe.  Without adding “ |” to the end of line 99, the test freezes solid because it waits forever for input that will never come.  I'm baffled that it works for anyone else... perhaps some bizarre quirk of shell syntax causes the output of one line to automagically become the input of the next, if conditions are correct?  The mechanism by which it is somehow accidentally working for other people is beyond my knowledge of shell scripting.

It seems to be working other than these.  Several of the tests do deem themselves inapplicable for reasons that don't appear to match reality, such as tests/csplit/csplit-heap.sh believing that `ulimit -v` is absent when it is present; but as those are not actual test _failures_, I am disinclined to spend time digging into them unless someone specifically asks me to.

Gordon Steemson